####################
#
# Assignment Formulation
#
####################

####################
#
# data parsing 
#
####################

# problem name  
param name := read DATAFILE as "1s" use 1;
do print "name = ", name;

# capacity
param capacity := read DATAFILE as "1n" use 1 skip 1;
do print "capacity = ", capacity;

# number of items
param nitems := read DATAFILE as "2n" use 1 skip 1;
do print "number of items = ", nitems;

# index set for the items
set I := {1..nitems};

# get item sizes
set sizes[<i> in I] := {read DATAFILE as "<1n>" skip 1+i use 1};
do forall <i> in I do check card(sizes[i]) == 1;

#compute maximum number of needed bins
param maxbins := nitems / floor(capacity / max <i> in I : ord(sizes[i],1,1));
set B := {1..maxbins};

####################
#
# decision variables
#
####################

# bin variables if bin is used
var x[B] binary;

# which item is assigned to which bin 
var y[I * B] binary;

####################
#
# objective function
#
####################

minimize usedbins:
	 sum <b> in I : x[b];

####################
#
# constraints
#
####################

# each item is assigned to exactly one bin
subto oneBin:
	forall <i> in I: sum <b> in B: y[i,b] >= 1;

# each bin is not over loaded 
subto Capacity:
	forall <b> in B: sum <i> in I: ord(sizes[i],1,1) * y[i,b] <= capacity;

# linking constraint
subto Link:
	forall <b> in B: forall <i> in I: y[i,b] <= x[b];
